Script para Instalar o ScadaBR no linux


#21

Cada um tem vantagens e desvantagens. Diferença clara não vi.


#22

boa tarde, estou tentando instalar o scadabr no meu raspberry mas esta dando erro. Algo errado com o java. poderia me ajudar?

root@raspberrypi:/home/pi# ./install.sh

  • Instalando jre-6u45-linux-i586.bin

  • Criando pasta /opt/java

  • Movendo jre-6u45-linux-i586.bin para /opt/java

  • Entrando na pasta /opt/java

  • Setando Permissoes

  • Instalando jre-6u45-linux-i586.bin
    Unpacking…
    Checksumming…
    Extracting…
    ./jre-6u45-linux-i586.bin: 74: ./jre-6u45-linux-i586.bin: ./install.sfx.7028: Exec format error
    Failed to extract the files. Please refer to the Troubleshooting section of
    the Installation Instructions on the download page for more information.

  • Criando atalho jre
    ln: falha ao criar link simbólico ‘jre’: Arquivo existe

  • update-alternatives em andamento
    update-alternatives: erro: o caminho /opt/java/jre/bin/java da alternativa não existe
    update-alternatives: erro: a alternativa /opt/java/jre/bin/java para java não registada, a não definir
    update-alternatives: erro: o caminho /opt/java/jre/bin/javaws da alternativa não existe
    update-alternatives: erro: nenhuma alternativa para javaws

  • fim da Instalação do Java!

  • Instalando Tomcat6


  • Criando pasta /opt/tomcat6

  • Copiando instalador apache-tomcat-6.0.9.tar.gz para /opt/tomcat6
    cp: não foi possível obter estado de ‘/root/apache-tomcat-6.0.9.tar.gz’: Arquivo ou diretório não encontrado

  • Setando permissoes do apache-tomcat-6.0.9.tar.gz
    chmod: falta operando depois de “+x”
    Tente “chmod --help” para mais informações.

  • Descompactando apache-tomcat-6.0.9.tar.gz
    tar: apache-tomcat-6.0.9.tar.gz: Não é possível executar a ação: open: Arquivo ou diretório não encontrado
    tar: Error is not recoverable: exiting now

  • Copiando ScadaBR para o Destino
    cp: não foi possível obter estado de ‘/root/ScadaBR.war’: Arquivo ou diretório não encontrado

  • Iniciando tomcat6: /opt/tomcat6/apache-tomcat-6.0.9/bin/startup.sh
    sudo: /opt/tomcat6/apache-tomcat-6.0.9/bin/startup.sh: comando não encontrado


#23

O raspberry ja tem o java instalado por padrao. Para instalar na raspi temos um outro script exclusivo para rasp


#24

Olá wagner, muito obrigado em responder. Um exelente trabalho o seu!!! So mais uma dúvida:
Esse script, instala o tomcat8 e provavelmente roda com o java 8. O scadabr aceita? Sempre
li que o scadabr aceitava somente o java 6 e 7 pra rodar. Com o java 8 roda normalmente?
Devo baixar o Scada 1.1? Baixei a versão 0.9


#25

Olá, boa noite

Poderia me disponibilizar um passo a passo para instalar o ScadaBR no Raspberry PI 3, tenho tentando algumas sugestões porem sem sucesso.

Abs
Fabrício


#26

Olá Fabricio,

Que imagem de distro que vc baixou para a Raspberry3?


#27

Eu estou nesse exato momento com a rasp na mão.
Decidi fazer um teste com o ubuntu server.
O Wagner já me ajudou a fazer instação manual da versão 1.0, que por sinal é o que me salva nesse momento.
Mas quero contribuir com a comunicade com algo mais pratico.
O script anterior não está funcionando no raspbian mais recente, especialmente por não ter mais o tomcat7 e não podemos usar o tomcat8 com a versão 1.1.
Como estou cheio de cartões aqui para testar, coloco um sistema em casa.
Então vou de ubuntu server.


#28

olá Wagner, instalei o Raspbian usando o Raspbian GN/Linux 9. Kernel 4.14.50

Voce consegue esta versao se instalar com o cabo de rede conectado para baixar automaticamente esta versão. Eu consegui fazer rodar com Java 8 (nativo), Maria DB e tomcat 8.

Segui este procedimento: ScadaBR 1.1 com Ubuntu, Java8, Tomcat8 e MariaDB

Esta funcionando, o curioso é que quando reinicio o Raspberry, o ScadaBR da erro 404 e não abre a pagina. Só volta a funcionar se eu deletar e criar o banco novamente. Nem precisa mexer nada na pasta ScadaBR. Conhece este erro?


#29

consegui colocar para rodar com este script : ScadaBR 1.1 com Ubuntu, Java8, Tomcat8 e MariaDB

mas voce tem que estar o Raspbian com o cabo de rede conectado para baixar a versao mais atualizada. Funciona comigo, ja fiz varias vezes rodar com este script com java 8, tomcat 8 e MariaDB.


#30

voce tem o link da versao 1.1.war ? quero baixar direto no Raspberry


#31

Agora vai!

Muito obrigado, Wagner!!

Wilson